#ifndef CONMSG_H
#define CONMSG_H

#include <glib.h>


extern gint ConMsgInit(
	const gchar *name,	/* Program name */
	gint columns,		/* Can be 0 to indicate use env var $COLUMNS */
	gint lines,		/* Can be 0 to indicate use env var $LINES */
	gboolean show_stdout,
	gboolean show_stderr
);
extern gint ConMsgReset(
        const gchar *name,	/* Program name */
        gint columns,		/* Can be 0 to indicate use env var $COLUMNS */
        gint lines,		/* Can be 0 to indicate use env var $LINES */
        gboolean show_stdout,
        gboolean show_stderr
);
extern void ConMsgShutdown(void);

extern void ConMsgStdOutDlgMap(void);
extern void ConMsgStdErrDlgMap(void);


#endif	/* CONMSG_H */
